Login

Email Address:
Password:

 

Book Downloads

 
              
Why won’t Lightroom 4 install on my computer?
Posted by Victoria Bampton on 11 July 2012 05:06 PM

Lightroom 4 has updated minimum system specifications, which are as follows:

Windows

  • Intel® Pentium® 4 or AMD Athlon® 64 processor
  • Microsoft® Windows Vista® with Service Pack 2 or Windows 7 with Service Pack 1

Mac

  • Multicore Intel® processor with 64-bit support (Core2Duo or later)
  • Mac OS X v10.6.8 (Snow Leopard) or v10.7 (Lion)

For either OS

  • 2GB of RAM
  • 1GB of available hard-disk space
  • 1024x768 display
  • DVD-ROM drive
  • Internet connection required for Internet-based services

The main changes are to the operating systems—XP is no longer supported on Windows, and 10.6.8 is the minimum for Mac OS X. Lightroom 4 uses many system API’s which are not available in older operating systems. On Mac, PowerPC and 32-bit Intel processors aren’t supported either, for the same reasons.


Comments (0)
Copyright © 2007-2013 The Lightroom Queen / LRQ Publishing Ltd. All Rights Reserved. Powered by Kayako Help Desk Software.